## acoustid-fingerprinter 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fpsubmit)
set(fpsubmit_VERSION 0.1)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
set(BIN_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/bin CACHE PATH "Installation prefix for user executables" FORCE)
set(LIB_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH  "Installation prefix for object code libraries" FORCE)
set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include CACHE PATH "Installation prefix for C header files" FORCE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork QtConcurrent REQUIRED)
find_package(FFmpeg REQUIRED)
find_package(Taglib REQUIRED)
find_package(Chromaprint REQUIRED)

include(${QT_USE_FILE})

if(CMAKE_BUILD_TYPE STREQUAL Release OR CMAKE_BUILD_TYPE STREQUAL MinSizeRel OR CMAKE_BUILD_TYPE STREQUAL RelWithDebInfo)
	add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif(CMAKE_BUILD_TYPE STREQUAL Release OR CMAKE_BUILD_TYPE STREQUAL MinSizeRel OR CMAKE_BUILD_TYPE STREQUAL RelWithDebInfo)

set(fpsubmit_HEADERS
	checkabledirmodel.h
	progressdialog.h
	fingerprinter.h
	mainwindow.h
	loadfilelisttask.h
	analyzefiletask.h
)
set(fpsubmit_SOURCES
	checkabledirmodel.cpp
	progressdialog.cpp
	fingerprinter.cpp
	fingerprintcalculator.cpp
	tagreader.cpp
	mainwindow.cpp
	decoder.cpp
	main.cpp
	loadfilelisttask.cpp
	analyzefiletask.cpp
	updatelogfiletask.cpp
	crc.c
	gzip.cpp
)
#set(fpsubmit_UIS fpsubmit.ui)
#set(fpsubmit_RESOURCES fpsubmit.qrc)

qt4_wrap_cpp(fpsubmit_MOC ${fpsubmit_HEADERS})
qt4_wrap_ui(fpsubmit_UIS_H ${fpsubmit_UIS})
qt4_add_resources(fpsubmit_RESOURCES_CPP ${fpsubmit_RESOURCES})

add_definitions(
	-D__STDC_LIMIT_MACROS
	-D__STDC_CONSTANT_MACROS
	-DVERSION="${fpsubmit_VERSION}"
)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
	${FFMPEG_LIBAVCODEC_INCLUDE_DIRS}
	${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}
	${FFMPEG_LIBAVUTIL_INCLUDE_DIRS}
	${TAGLIB_INCLUDES}
	${CHROMAPRINT_INCLUDE_DIR}
)

add_executable(fpsubmit
    ${fpsubmit_SOURCES}
    ${fpsubmit_MOC}
    ${fpsubmit_UIS_H}
    ${fpsubmit_RESOURCES_CPP}
)

set_target_properties(fpsubmit PROPERTIES
	OUTPUT_NAME acoustid-fingerprinter)

target_link_libraries(fpsubmit
	${QT_LIBRARIES}
	${FFMPEG_LIBAVFORMAT_LIBRARIES}
	${FFMPEG_LIBAVCODEC_LIBRARIES}
	${FFMPEG_LIBAVUTIL_LIBRARIES}
	${TAGLIB_LIBRARIES}
	${CHROMAPRINT_LIBRARIES}
)

install(TARGETS fpsubmit DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
acoustid-fingerprinter (0.1-1) unstable; urgency=low

  * Initial release based on upstream packaging.

 -- Clint Adams <clint@debian.org>  Thu, 12 May 2011 19:54:52 -0400

=== debian/control ===
Source: acoustid-fingerprinter
Section: sound
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, libavformat-dev, libavcodec-dev, libchromaprint-dev, libqt4-dev, libtag1-dev
Standards-Version: 3.9.2
Homepage: http://wiki.acoustid.org/wiki/Fingerprinter

Package: acoustid-fingerprinter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Acoustid fingerprinter
 GUI application for submission Chromaprint-generated audio fingerprints to the
 Acoustid service.

## acoustid-fingerprinter 0.3~20110715

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 project(fpsubmit)
-set(fpsubmit_VERSION 0.1)
+set(fpsubmit_VERSION 0.3)
 
 set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
 set(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
@@ -67,7 +67,15 @@
 	${CHROMAPRINT_INCLUDE_DIR}
 )
 
-add_executable(fpsubmit
+if(WIN32)
+set(GUI_TYPE WIN32)
+endif(WIN32)
+
+if(APPLE)
+set(GUI_TYPE MACOSX_BUNDLE)
+endif()
+
+add_executable(fpsubmit ${GUI_TYPE}
     ${fpsubmit_SOURCES}
     ${fpsubmit_MOC}
     ${fpsubmit_UIS_H}
@@ -86,4 +94,8 @@
 	${CHROMAPRINT_LIBRARIES}
 )
 
+if(APPLE)
+	target_link_libraries(fpsubmit "-framework Accelerate -lz")
+endif()
+
 install(TARGETS fpsubmit DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
acoustid-fingerprinter (0.3~20110715-0ubuntu1) oneiric; urgency=low

  * New upstream version. (LP: #811001)
    - Commit up to c53005affbd184f6b598

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Fri, 15 Jul 2011 15:02:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: acoustid-fingerprinter
 Section: sound
 Priority: optional
-Maintainer: Clint Adams <clint@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, libavformat-dev, libavcodec-dev, libchromaprint-dev, libqt4-dev, libtag1-dev
 Standards-Version: 3.9.2
 Homepage: http://wiki.acoustid.org/wiki/Fingerprinter

## acoustid-fingerprinter 0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 project(fpsubmit)
-set(fpsubmit_VERSION 0.3)
+set(fpsubmit_VERSION 0.4)
 
 set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
 set(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
@@ -11,7 +11,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
-find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork QtConcurrent REQUIRED)
+find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork REQUIRED)
 find_package(FFmpeg REQUIRED)
 find_package(Taglib REQUIRED)
 find_package(Chromaprint REQUIRED)
@@ -46,11 +46,15 @@
 	gzip.cpp
 )
 #set(fpsubmit_UIS fpsubmit.ui)
-#set(fpsubmit_RESOURCES fpsubmit.qrc)
+set(fpsubmit_RESOURCES fingerprinter.qrc)
 
 qt4_wrap_cpp(fpsubmit_MOC ${fpsubmit_HEADERS})
 qt4_wrap_ui(fpsubmit_UIS_H ${fpsubmit_UIS})
 qt4_add_resources(fpsubmit_RESOURCES_CPP ${fpsubmit_RESOURCES})
+
+if(WIN32)
+	set(fpsubmit_SOURCES ${fpsubmit_SOURCES} fingerprinter.rc)
+endif()
 
 add_definitions(
 	-D__STDC_LIMIT_MACROS
@@ -72,7 +76,12 @@
 endif(WIN32)
 
 if(APPLE)
-set(GUI_TYPE MACOSX_BUNDLE)
+    set(GUI_TYPE MACOSX_BUNDLE)
+    set(fpsubmit_ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/acoustid-fp.icns)
+    set_source_files_properties(${fpsubmit_ICON_FILE}
+        PROPERTIES
+        MACOSX_PACKAGE_LOCATION Resources)
+	set(fpsubmit_SOURCES ${fpsubmit_SOURCES} ${fpsubmit_ICON_FILE})
 endif()
 
 add_executable(fpsubmit ${GUI_TYPE}
@@ -83,7 +92,11 @@
 )
 
 set_target_properties(fpsubmit PROPERTIES
-	OUTPUT_NAME acoustid-fingerprinter)
+	OUTPUT_NAME acoustid-fingerprinter
+    MACOSX_BUNDLE_ICON_FILE acoustid-fp.icns
+	MACOSX_BUNDLE_INFO_STRING "Acoustid Fingerprinter ${fpsubmit_VERSION}"
+	MACOSX_BUNDLE_BUNDLE_NAME "Acoustid Fingerprinter"
+)
 
 target_link_libraries(fpsubmit
 	${QT_LIBRARIES}

=== debian/changelog ===
acoustid-fingerprinter (0.4-2) unstable; urgency=high

  * Explicitly set the content type, as Qt changed the default.
    closes: #685283.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Sat, 25 Aug 2012 12:59:41 -0400

acoustid-fingerprinter (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Thu, 25 Aug 2011 21:10:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: acoustid-fingerprinter
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
+Maintainer: Clint Adams <clint@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, libavformat-dev, libavcodec-dev, libchromaprint-dev, libqt4-dev, libtag1-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://wiki.acoustid.org/wiki/Fingerprinter
 
 Package: acoustid-fingerprinter

## acoustid-fingerprinter 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 project(fpsubmit)
-set(fpsubmit_VERSION 0.4)
+set(fpsubmit_VERSION 0.6)
 
 set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
 set(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
@@ -71,6 +71,18 @@
 	${CHROMAPRINT_INCLUDE_DIR}
 )
 
+set(CMAKE_REQUIRED_LIBRARIES
+	${FFMPEG_LIBAVFORMAT_LIBRARIES}
+	${FFMPEG_LIBAVCODEC_LIBRARIES}
+	${FFMPEG_LIBAVUTIL_LIBRARIES}
+	${EXTRA_LIBS})
+include(CheckFunctionExists)
+check_function_exists(av_audio_convert HAVE_AV_AUDIO_CONVERT)
+
+if(HAVE_AV_AUDIO_CONVERT)
+	add_definitions(-DHAVE_AV_AUDIO_CONVERT)
+endif()
+
 if(WIN32)
 set(GUI_TYPE WIN32)
 endif(WIN32)
@@ -111,4 +123,8 @@
 	target_link_libraries(fpsubmit "-framework Accelerate -lz")
 endif()
 
+if(UNIX)
+	install(FILES acoustid-fingerprinter.desktop DESTINATION share/applications)
+endif()
+
 install(TARGETS fpsubmit DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
acoustid-fingerprinter (0.6-6) unstable; urgency=medium

  * Upload to zesty
  * QA upload.
  * d/p/06-taglib.patch
    - cherry-pick upstream FTBFSfix with new taglib (Closes: #841588)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Nov 2016 17:05:08 +0100

acoustid-fingerprinter (0.6-5) unstable; urgency=medium

  * Changed maintainer to QA group, as the package was orphaned in bug
    #828784.
  * Corrected homepage URL.  Patch from Matt Kraai.
  * Created collab-maint git repo for package, and add d/gbp.conf to
    use pristine-tar.
  * Dropped Debian menu entry.
  * Moved upstream source change from 0.6-4 to new 04-typo-warning.patch.
  * Changed build rules from cdbs to dh and debhelper 9.
  * Changed Standards-Version from 3.9.5 to 3.9.8.
  * Added images/acoustid-fp.icns to debian/source/include-binaries to
    handle a file that showed up in the 0.6-4 orig.tar.xz file.
  * Added 05-g++-6-char-cast.patch to fix build problem with gcc 6.
    (Closes: #811732)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jul 2016 23:12:42 +0200

acoustid-fingerprinter (0.6-4) unstable; urgency=low

  * Make package FFmpeg-friendly (Closes: #758323)
    Patch provided by Andreas Cadhalpun.

 -- Jerome Charaoui <jerome@riseup.net>  Tue, 26 Aug 2014 20:30:49 -0400

acoustid-fingerprinter (0.6-3) unstable; urgency=low

  * Fix build with upcoming Libav 10 release (Closes: #739208)
    Patch provided by Anton Khirnov.

 -- Jerome Charaoui <jerome@riseup.net>  Thu, 10 Apr 2014 23:31:01 -0400

acoustid-fingerprinter (0.6-2) unstable; urgency=low

  * New maintainer. (Closes: #737287)
  * Switch to CDBS.
  * Convert debian/copyright into standard machine-readable format.
  * Remove misleading "options" in man page. (Closes: #682139)
  * Bump to Standards-Version 3.9.5.

 -- Jerome Charaoui <jerome@riseup.net>  Sat, 08 Feb 2014 22:48:15 -0500

acoustid-fingerprinter (0.6-1) unstable; urgency=low

  * New upstream version.  closes: #682140.
  * Bump to Standards-Version 3.9.4.
  * Orphan package.

 -- Clint Adams <clint@debian.org>  Sun, 05 May 2013 08:45:16 -0400

=== debian/control ===
Source: acoustid-fingerprinter
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), cmake, libavformat-dev, libavcodec-dev, libchromaprint-dev, libqt4-dev, libtag1-dev, pkg-config
Standards-Version: 3.9.8
Homepage: https://acoustid.org/fingerprinter
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/acoustid-fingerprinter.git/
Vcs-Git: git://anonscm.debian.org/collab-maint/acoustid-fingerprinter.git

Package: acoustid-fingerprinter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Acoustid fingerprinter
 GUI application for submission Chromaprint-generated audio fingerprints to the
 Acoustid service.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release

=== debian/watch ===
version=3
https://bitbucket.org/acoustid/acoustid-fingerprinter/downloads .*\-(\d\S*)\.tar\.gz
